#trace on
#
# set up some strings for dialling up
#
if ![load $number]
  if [query $number "Enter your dial up phone number"]
    save $number
  end
end
$prompt =      ">"
$slipcmd =     "connect slip"
$setmtu =      "set port slip mtu 512"
$setmru =      "set port ppp lcp mru 512"
$askslp =      "show port slip"
$pppcmd =      "connect ppp"
$addrtarg =    "Host Address:"

%attempts = 10
#
#----------------------------------------------------------
# initialize modem
#
output "atz1"\13
if ! [input 10 OK\n]
  display "Modem is not responding"\n
  abort
end
#
# send phone number
#
%n = 0
repeat
  if %n = %attempts
    display "Too many dial attempts"\n
    abort
  end
  output "atdt"$number\13
  %ok = [input 60 CONNECT]
  %n = %n + 1
until %ok
input 10 \n
#
#  wait till it's safe to send because some modem's hang up
#  if you transmit during the connection phase
#
wait 10 dcd
#
# now prod the terminal server
#
output \13
#
input 30 $prompt
if %ppp
  #
  # jump into ppp mode
  #
  output $setmru\13
  output $pppcmd\13
  #
  display "PPP mode selected."\n
  #
else
  #
  # jump into slip mode
  #
  output $askslp\13
  input 10 $addrtarg
  address 30
  output \13
  output $setmtu\13
  output $slipcmd\13
  #
  display \n
  display Connected.  Your IP address is \i.\n
end
#
# now we are finished.
#
